GMKPATH = ..
include $(GMKPATH)/Makefile.config

CFLAGS = -I.. -I../libem -I../nlib -I. -I$(MAGIC_INCDIR) -I$(MILTER_INCDIR) $(COPT) 
LDFLAGS = $(LDFL) -L.. -L/usr/local/ssl/lib -L$(MILTER_LIBDIR) -lfwall \
          -lci_milter $(AUXLIB)

BINOBJS = ftp-gw
MANOBJS = ftp-gw.8
FGWOBJS = ftp.o line.o smftp.o telnet.o ctype.o milters.o
TABOBJS = transaction.h
ALLOBJS = $(TABOBJS) $(FGWOBJS) $(BINOBJS) $(MANOBJS)

all: $(ALLOBJS)

ftp-gw: $(FGWOBJS)
	$(OFWTKLINK) $(FGWOBJS)

$(FGWOBJS): transaction.h

transaction.h:
	cat transaction.tab |../nlib/maketable -H transaction 5 > transaction.h
